apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  annotations:
    openshift.io/generated-by: OpenShiftWebConsole
  creationTimestamp: null
  generation: 6
  labels:
    app: l1ts-emtf
  name: l1ts-emtf
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    app: l1ts-emtf
    deploymentconfig: l1ts-emtf
  strategy:
    activeDeadlineSeconds: 21600
    recreateParams:
      timeoutSeconds: 600
    resources: {}
    type: Recreate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: l1ts-emtf
        deploymentconfig: l1ts-emtf
    spec:
      containers:
      - env:
        - name: HTTP_PROXY
          value: socks5h://ssh-proxy:55555
        - name: DESTINATION_URL
          value: l1ts-emtf.cms
        image: gitlab-registry.cern.ch/cms-cactus/experimental/curl-mirror/curl-mirror@sha256:494c1e4b455a35629c93b1caa0b78321a23ee0191b972cacf7ce738a6503684d
        imagePullPolicy: Always
        name: l1ts-emtf
        ports:
        - containerPort: 10080
          protocol: TCP
        - containerPort: 3333
          protocol: TCP
        - containerPort: 4002
          protocol: TCP
        - containerPort: 4500
          protocol: TCP
        - containerPort: 5500
          protocol: TCP
        - containerPort: 7000
          protocol: TCP
        - containerPort: 9100
          protocol: TCP
        - containerPort: 9945
          protocol: TCP
        - containerPort: 9966
          protocol: TCP
        - containerPort: 19000
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
  test: false
  triggers:
  - type: ConfigChange
  - imageChangeParams:
      automatic: true
      containerNames:
      - l1ts-emtf
      from:
        kind: ImageStreamTag
        name: curl-mirror:latest
        namespace: test-dragon-slayer
      lastTriggeredImage: gitlab-registry.cern.ch/cms-cactus/experimental/curl-mirror/curl-mirror@sha256:494c1e4b455a35629c93b1caa0b78321a23ee0191b972cacf7ce738a6503684d
    type: ImageChange
status:
  availableReplicas: 0
  latestVersion: 0
  observedGeneration: 0
  replicas: 0
  unavailableReplicas: 0
  updatedReplicas: 0
